> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/conversion/conversion/convert-html.md).

# Convert HTML to PDF in Xamarin

Learn how to convert HTML files to PDF in Xamarin.iOS without an internet connection. Check out the platform-specific conversion API for easy HTML to PDF conversion. The Apryse Xamarin SDK streamlines

{% hint style="info" %}
\*\*This tutorial only applies to Xamarin.iOS. See Xamarin.Android equivalent here . \*\*
{% endhint %}

{% hint style="info" %}
Internet connection is not required when converting local HTML files. However, it is required for converting HTTP/HTTPS links.
{% endhint %}

The platform-specific conversion API also supports HTML to PDF conversion, either with the [`+convertOfficeToPDF:paperSize:completion:`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftronprivate.PTConvert.html#pdftronprivate_PTConvert_ConvertOfficeToPDF_System_String_CoreGraphics_CGSize_System_Action_Foundation_NSString__) method for `.html` files or the [`+convertHTMLStringToPDF:baseURL:paperSize:completion:`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftronprivate.PTConvert.html#pdftronprivate_PTConvert_ConvertHTMLStringToPDF_System_String_Foundation_NSUrl_CoreGraphics_CGSize_System_Action_Foundation_NSString__) for raw HTML text.

The following code shows how to convert an HTML string to PDF:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
pdftronprivate.PTConvert.ConvertHTMLStringToPDF(htmlString, baseURL, CGSize.Empty, (pathToPDF) => { 
    if (pathToPDF == null) {
        // Failed to convert HTML to PDF.
        return;
    }

    var documentDirectory = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments);

    var urlToPdf = new NSUrl(pathToPDF);
    var destinationURL = (new NSUrl(documentDirectory)).Append(urlToPdf.LastPathComponent, false);
    var destinationFileURL = NSUrl.CreateFileUrl(destinationURL.Path, null);

    NSError error = null;
    var result = NSFileManager.DefaultManager.Copy(urlToPdf, destinationFileURL, out error);
    if (!result) {
        // Failed to copy PDF to persistent location.
    }

    // Do something with PDF output.
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

where `baseURL` is the URL to use as the page's base URL for resolving relative links in the document.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/conversion/conversion/convert-html.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
